Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.heuristics
Class FtpHeuristicsFile

    java.lang.Object
      com.stc.connector.batchadapter.heuristics.FtpHeuristicsFile

All Implemented Interfaces:
  java.io.Serializable

    public class FtpHeuristicsFile

extends java.lang.Object
implements java.io.Serializable

This class is an FTP file representation.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/02/25 16:56:30 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static int` | `DIRECTORY_TYPE`
`static int` | `FILE_TYPE`
`static boolean` | `REAL_DATA_AVAILABLE`
`static boolean` | `REAL_DATA_NOT_AVAILABLE`
`static int` | `SYMBOLIC_LINK_TYPE`
`static int` | `UNKNOWN_TYPE`

Constructor Summary
`FtpHeuristicsFile()` Creates a new FtpHeuristicsFile object.

Method Summary
`java.lang.String` | `getLink()` Gets the link type.
`java.lang.String` | `getName()` Gets the file name.
`java.lang.String` | `getRawListing()` Gets a raw line from the listing.
`long` | `getSize()` Gets the file size.
`int` | `getType()` Gets the file type.
`boolean` | `isDataAvailable()` Checks on the status of the data.
`boolean` | `isDirectory()` Checks on whether the file is a directory.
`boolean` | `isFile()` Checks on whether the file is a normal file.
`boolean` | `isSymbolicLink()` Checks on whether the file is a symbolic link.
`boolean` | `isUnknown()` Checks on whether the file type is unknown.
`static void` | `main(java.lang.String[] args)` Used to do stand-alone testing.
`void` | `setDataAvailable(boolean newDataAvailable)` Accessor - Sets the data-available indication to true or false.
`void` | `setLink(java.lang.String s)` Sets the link type.
`void` | `setName(java.lang.String s)` Sets the file name.
`void` | `setRawListing(java.lang.String s)` Sets a raw line from the listing.
`void` | `setSize(long l)` Sets the file size.
`void` | `setType(int i)` Sets the file type.
`java.lang.String` | `toString()` Returns the raw content for the toString() method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILE_TYPE

    public static final int FILE_TYPE

See Also:
  Constant Field Values

### DIRECTORY_TYPE

    public static final int DIRECTORY_TYPE

See Also:
  Constant Field Values

### SYMBOLIC_LINK_TYPE

    public static final int SYMBOLIC_LINK_TYPE

See Also:
  Constant Field Values

### UNKNOWN_TYPE

    public static final int UNKNOWN_TYPE

See Also:
  Constant Field Values

### REAL_DATA_AVAILABLE

    public static final boolean REAL_DATA_AVAILABLE

See Also:
  Constant Field Values

### REAL_DATA_NOT_AVAILABLE

    public static final boolean REAL_DATA_NOT_AVAILABLE

See Also:
  Constant Field Values

Constructor Detail

### FtpHeuristicsFile

    public FtpHeuristicsFile()

  Creates a new FtpHeuristicsFile object.

Method Detail

### setRawListing

    public void setRawListing(java.lang.String s)

  Sets a raw line from the listing.

  Parameters:
    `s` - The raw line from the listing.

### getRawListing

    public java.lang.String getRawListing()

  Gets a raw line from the listing.

  Returns:
    The raw line of the listing.

### isDirectory

    public boolean isDirectory()

  Checks on whether the file is a directory.

  Returns:
    true if the file is a directory, but false if not.

### isFile

    public boolean isFile()

  Checks on whether the file is a normal file.

  Returns:
    true if the file is normal, but false if not.

### isSymbolicLink

    public boolean isSymbolicLink()

  Checks on whether the file is a symbolic link.

  Returns:
    true if the file is a symbolic link, but false if not.

### isUnknown

    public boolean isUnknown()

  Checks on whether the file type is unknown.

  Returns:
    true if the file type is unknown, but false if not.

### setType

    public void setType(int i)

  Sets the file type.

  Parameters:
    `i` - The file type.

### getType

    public int getType()

  Gets the file type.

  Returns:
    The file type.

### setName

    public void setName(java.lang.String s)

  Sets the file name.

  Parameters:
    `s` - The file name.

### getName

    public java.lang.String getName()

  Gets the file name.

  Returns:
    The file name.

### setSize

    public void setSize(long l)

  Sets the file size.

  Parameters:
    `l` - The file size.

### getSize

    public long getSize()

  Gets the file size.

  Returns:
    The file size.

### setLink

    public void setLink(java.lang.String s)

  Sets the link type.

  Parameters:
    `s` - The link type.

### getLink

    public java.lang.String getLink()

  Gets the link type.

  Returns:
    The link type.

### toString

    public java.lang.String toString()

  Returns the raw content for the toString() method.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The raw line from the listing.

### isDataAvailable

    public boolean isDataAvailable()

  Checks on the status of the data.

  Returns:
    The status of the data.

### setDataAvailable

    public void setDataAvailable(boolean newDataAvailable)

  Accessor - Sets the data-available indication to true or false.

  Parameters:
    `newDataAvailable` - : true or false.

### main

    public static void main(java.lang.String[] args)

  Used to do stand-alone testing.

  Parameters:
    `args` - Command-line parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD